<?php

defined('_JEXEC') or die('Restricted access');

class BackendControllerImage extends BackendController
{
	function __construct()
	{
		parent::__construct();
	}

	function change()
  {
    $model = $this->getModel('image');

    if ($model->change())
    {
      $msg = JText::_('State changed!');
    }
    else
    {
      $msg = JText::_('Error Changing State');
    }

    $this->setRedirect('index.php?option=com_hotornot&task=images', $msg);
  }

  function publish()
  {
    $model = $this->getModel('image');

    if ($model->publish())
    {
      $msg = JText::_('Images(s) approved!');
    }
    else
    {
      $msg = JText::_('Error Approving Images(s)');
    }

    $this->setRedirect('index.php?option=com_hotornot&task=images', $msg);
  }

  function unpublish()
  {
    $model = $this->getModel('image');

    if ($model->unpublish())
    {
      $msg = JText::_('Images(s) disapproved!');
    }
    else
    {
      $msg = JText::_('Error Disapproving Image(s)');
    }

    $this->setRedirect('index.php?option=com_hotornot&task=images', $msg);
  }

  function remove()
  {
    $model = $this->getModel('image');

    if (!$model->deleteList())
    {
      $msg = JText::_('Error: One or More Images Could not be Deleted');
    }
    else
    {
      $msg = JText::_('Image(s) Deleted');
    }

    $this->setRedirect('index.php?option=com_hotornot&task=images', $msg);
  }

  function changeCategories()
  {
    $model =& $this->getModel('change', 'BackendModel');

    if ($model->changeCategories())
    {
      $message = JText::_('Image(s) category changed successfully!');
    }
    else
    {
      $message = JText::_('Error changing category!');
    }

    $this->setRedirect('index.php?option=com_hotornot&task=images', $message);
  }
}