<?php

defined('_JEXEC') or die('Restricted access');

$modules = array(
  array('name' => 'mod_hotornot',                 'title' => 'Hot or Not Menu'),
  array('name' => 'mod_hotornot_last_voted',      'title' => 'Hot or Not Last Voted'),
  array('name' => 'mod_hotornot_random',          'title' => 'Hot or Not Random'),
  array('name' => 'mod_hotornot_tag_cloud',       'title' => 'Hot or Not Tag Cloud'),
  array('name' => 'mod_hotornot_categories',      'title' => 'Hot or Not Categories To Thumbnails'),
  array('name' => 'mod_hotornot_categories_vote', 'title' => 'Hot or Not Categories To Vote'),
  array('name' => 'mod_hotornot_last_added',      'title' => 'Hot or Not Last Added'),
  array('name' => 'mod_hotornot_top_categories',  'title' => 'Hot or Not Top In Categories'),
);

foreach ($modules as $module)
{
  installModule($module);
}

// Set the default upload folder
$upload_folder = JPATH_ROOT.DS.'components'.DS.'com_hotornot'.DS.'upload';
@mkdir($upload_folder, 0777);
$default_upload_folder = base64_encode(realpath($upload_folder));

$sample = file_get_contents(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php.sample');

$handle = fopen(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php.sample', 'w');
fwrite($handle, str_replace('$$DEFAULT_UPLOAD_DIR$$', $default_upload_folder, $sample));
fclose($handle);

rename(
  JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php.sample',
  JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');

// Languages
$languages = array('en-GB');

foreach ($modules as $module)
{
  foreach ($languages as $language)
  {
    rename(
      JPATH_ROOT.DS.'modules'.DS.$module['name'].DS.$language.'.'.$module['name'].'.ini',
      JPATH_ROOT.DS.'language'.DS.$language.DS.$language.'.'.$module['name'].'.ini');
  }
}

function installModule($module)
{
  rename(
    JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'modules'.DS.$module['name'],
    JPATH_ROOT.DS.'modules'.DS.$module['name']);

  $database =& JFactory::getDBO();

  $query = ' INSERT INTO #__modules'
         . ' VALUES ("", "' . $module['title'] . '", "", 0, "left", 0, "0000-00-00 00:00:00", 0, "' . $module['name'] . '", 0, 0, 1, "", 0, 0, "")';
  $database->setQuery($query);
  $database->query();

  $id = $database->insertid();

  $query = ' INSERT INTO #__modules_menu'
         . ' VALUES(' . $id . ', 0)';
  $database->setQuery($query);
  $database->query();
}