<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
. ' FROM #__components c'
. ' WHERE c.option="com_hotornot"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require( dirname( __FILE__ ).DS.'tmpl'.DS.'error.php' );
}
else
{
  global $Itemid;

  $Itemid2 = $params->get('itemid', $Itemid);

  require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');
  require_once(JPATH_BASE.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

  $settings =  new HNConfig();
  $database =& JFactory::getDBO();

  $query1 = ' SELECT s.id, s.extension, s.folder, s.user_id, "hotornot" AS source, s.date_added AS date_added'
          . ' FROM #__hotornot_image s'
          . ' WHERE s.approved = 1';


  $query2 = ' SELECT s.id, s.filename AS extension, "" AS folder, s.user_id, "lovefactory" AS source, s.date_added AS date_added'
          . ' FROM #__lovefactory_photos s'
          . ' LEFT JOIN #__hotornot_image_lovefactory i ON i.image_id = s.id'
          . ' WHERE i.approved = 1';

  switch (Helper::getPhotoSource())
  {
    case 0:
      $query = $query1;
      break;

    case 1:
      $query = '(' . $query1 . ') UNION (' . $query2 . ')';
      break;

    case 2:
      $query = $query2;
      break;
  }

  $query .= ' ORDER BY date_added DESC'
         .  ' LIMIT 0,1';

  $database->setQuery($query);
  $image = $database->loadAssoc();

  if (!is_null($image))
  {
    require( dirname( __FILE__ ).DS.'tmpl'.DS.'default.php' );
    return;
  }

  require( dirname( __FILE__ ).DS.'tmpl'.DS.'not_voted.php' );
}