<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_hotornot"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require( dirname( __FILE__ ).DS.'tmpl'.DS.'error.php' );
}
else
{
  global $Itemid;

  $Itemid2 = $params->get('itemid', $Itemid);

  $session =& JFactory::getSession();

  if ($session->get('hotornot_last_voted'))
  {
    require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');
    require_once(JPATH_BASE.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

    $settings = new HNConfig();

    $database =& JFactory::getDBO();
    if ($session->get('hotornot_last_voted_source') == 'hotornot')
    {
      $query = ' SELECT id, hits, rank, extension, folder, "hotornot" AS source'
             . ' FROM #__hotornot_image'
             . ' WHERE id = ' . $session->get('hotornot_last_voted');
    }
    else
    {
      $query = ' SELECT p.id, i.hits, i.rank, p.filename AS extension, p.user_id, "lovefactory" AS source'
             . ' FROM #__lovefactory_photos p'
             . ' LEFT JOIN #__hotornot_image_lovefactory i ON i.image_id = p.id'
             . ' WHERE p.id = ' . $session->get('hotornot_last_voted');
    }

    $database->setQuery($query);
    $image = $database->loadAssoc();

    if ($image != null)
    {
      require( dirname( __FILE__ ).DS.'tmpl'.DS.'default.php' );
      return;
    }
  }

  require( dirname( __FILE__ ).DS.'tmpl'.DS.'not_voted.php' );
}