<?php

defined('_JEXEC') or die('Restricted access');

$modules = array(
  array('name' => 'mod_hotornot',                 'title' => 'Hot or Not Menu'),
  array('name' => 'mod_hotornot_last_voted',      'title' => 'Hot or Not Last Voted'),
  array('name' => 'mod_hotornot_random',          'title' => 'Hot or Not Random'),
  array('name' => 'mod_hotornot_tag_cloud',       'title' => 'Hot or Not Tag Cloud'),
  array('name' => 'mod_hotornot_categories',      'title' => 'Hot or Not Categories'),
  array('name' => 'mod_hotornot_categories_vote', 'title' => 'Hot or Not Categories Vote'),
  array('name' => 'mod_hotornot_last_added',      'title' => 'Hot or Not Last Added'),
);

foreach ($modules as $module)
{
  uninstallModule($module);
}

// Languages
$languages = array('en-GB');

foreach ($modules as $module)
{
  foreach ($languages as $language)
  {
    @unlink(JPATH_ROOT.DS.'language'.DS.$language.DS.$language.'.'.$module['name'].'.ini');
  }
}

function uninstallModule($module)
{
  recursive_remove_directory(JPATH_ROOT.DS.'modules'.DS.$module['name']);

  $database =& JFactory::getDBO();
  $query = ' SELECT id'
         . ' FROM #__modules'
         . ' WHERE module = "' . $module['name'] . '"';
  $database->setQuery($query);
  $id = $database->loadResult();

  if ($id)
  {
    $query = ' DELETE'
           . ' FROM #__modules'
           . ' WHERE id = ' . $id;
    $database->setQuery($query);
    $database->query();

    $query = ' DELETE'
           . ' FROM #__modules_menu'
           . ' WHERE moduleid = ' . $id;
    $database->setQuery($query);
    $database->query();
  }
}

function recursive_remove_directory($directory, $empty=FALSE)
{
	if(substr($directory,-1) == '/')
	{
		$directory = substr($directory,0,-1);
	}
	if(!file_exists($directory) || !is_dir($directory))
	{
		return FALSE;
	}elseif(is_readable($directory))
	{
		$handle = opendir($directory);
		while (FALSE !== ($item = readdir($handle)))
		{
			if($item != '.' && $item != '..')
			{
				$path = $directory.'/'.$item;
				if(is_dir($path))
				{
					recursive_remove_directory($path);
				}else{
					unlink($path);
				}
			}
		}
		closedir($handle);
		if($empty == FALSE)
		{
			if(!rmdir($directory))
			{
				return FALSE;
			}
		}
	}
	return TRUE;
}