<?php defined('_JEXEC') or die('Restricted access'); ?>

<script>
  jQuery(document).ready(function($){

    var JTooltips = new Tips($$('.hasTip'), { maxTitleChars: 50, fixed: true });

    $('#tab-images div.loading').hide();

    $('#pagination-images a').each( function () {
      var limitstart = $(this).attr('onclick');
      limitstart += '';
      limitstart = limitstart.match(/[0-9]{1,10}/);
      $(this).attr('onclick', '');
      $(this).attr('id', limitstart);
    });

    $('#pagination-images a').click( function () {
      $('#tab-images div.loading').show();
      $('#images-update').load('index.php?option=com_hotornot&task=reportsimages&limitstart=' + $(this).attr('id') + '&format=raw');

      $('.tool-tip').remove();

      return false;
    });

    $('.delete-image').click( function () {
      if (confirm('Are you sure you want to delete this image?'))
      {
        $(this).parent().load($(this).attr('href'));
        $(this).parent().html($('#hotornot-loading').html());
      }
      return false;
    });

    $('.delete-image-report').click( function () {
      if (confirm('Are you sure you want to delete this report?'))
      {
        $(this).parent().load($(this).attr('href'));
        $(this).parent().html($('#hotornot-loading').html());
      }
      return false;
    });

  });
</script>

<style>
  td.left   { text-align: left !important; }
  td.center { text-align: center !important; }
  .tool-tip { max-width: <?php echo $this->settings->image_max_width; ?>px; }
</style>

<div id="hotornot-loading" style="display: none;"><img src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/ajax-loader.gif" class="hotornot-icon" /><?php echo JText::_('Loading, please wait...'); ?></div>

<table class="paramlist admintable">
  <thead>
    <th>Date</th>
    <th>Image</th>
    <th>Description</th>
    <th>Report</th>
    <th>Frontend Link</th>
    <th>Delete Image</th>
    <th>Delete Report</th>
  </thead>
  <tbody>
    <?php foreach ($this->reports as $image): ?>
      <tr>
        <td class="paramlist_key center"><?php echo $image->date_added; ?></td>
        <td class="paramlist_key center">
          <div
            title="<?php echo JText::_('Full image'); ?>::<img src='<?php echo Helper::imageSrc($image->id, $image->extension, $image->folder, ''); ?>' />"
            class="hotornot-thumbnail editlinktip hasTip"
            style="height: <?php echo $this->settings->thumbnail_max_height; ?>px; width: <?php echo $this->settings->thumbnail_max_width; ?>px; background-image:url(<?php echo ($image->source == 'hotornot') ? (Helper::imageSrc($image->id, $image->extension, $image->folder, 'thumb')) : (JURI::root().'components/com_lovefactory/storage/photos/'.$image->user_id.'/thumb_'.$image->extension); ?>); margin:0px; padding:0px;"></div>
        </td>
        <td style="vertical-align: top; font-weight: normal;" class="paramlist_key left"><?php echo $image->description; ?></td>
        <td style="vertical-align: top; font-weight: normal; width: 200px;" class="paramlist_key left">
          <table>
            <tr>
              <td><b><?php echo JText::_('From'); ?></b></td>
              <td><?php echo $image->name; ?></td>
            </tr>
            <tr>
              <td><b><?php echo JText::_('Email'); ?></b></td>
              <td><?php echo $image->email; ?></td>
            </tr>
            <tr>
              <td valign="top"><b><?php echo JText::_('Message'); ?></b></td>
              <td><?php echo nl2br($image->message); ?></td>
            </tr>
          </table>
        </td>
        <td class="paramlist_key center">
          <a href="<?php echo JURI::root(); ?>index.php?option=com_hotornot&task=show&source=<?php echo $image->source; ?>&id=<?php echo $image->id ;?>" target="_blank"><?php echo JText::_('link'); ?></a>
        </td>
        <td class="paramlist_key center"><img src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/image_delete.png" class="hotornot-icon" /><a href="index.php?option=com_hotornot&task=delete&format=raw&type=1&id=<?php echo $image->id; ?>&source=<?php echo $image->source; ?>" class="delete-image"><?php echo JText::_('delete image'); ?></a></td>
        <td class="paramlist_key center"><img src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/delete.png" class="hotornot-icon" /><a href="index.php?option=com_hotornot&task=deletereport&format=raw&type=1&id=<?php echo $image->report_id; ?>" class="delete-image-report"><?php echo JText::_('delete report'); ?></a></td>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>

<div id="pagination-images"><?php echo $this->pagination->getPagesLinks(); ?></div>