<?php defined('_JEXEC') or die('Restricted access'); ?>

  <table class="paramlist admintable">
    <!-- enable_watermark -->
    <tr>
      <td width="40%" class="paramlist_key">
        <span class="editlinktip">
          <label class="hasTip" for="enable_watermark" title="<?php echo JText::_('Add watermark'); ?>::<?php echo JText::_('Add watermark'); ?>"><?php echo JText::_('Add watermark'); ?></label>
        </span>
      </td>
      <td class="paramlist_value">
	      <input type="radio" name="enable_watermark" id="enable_watermark1" value="1" <?php echo ($this->settings->enable_watermark) ? 'checked' : ''; ?> />
	      <label for="enable_watermark1">Yes</label>
	      <input type="radio" name="enable_watermark" id="enable_watermark0" value="0" <?php echo (!$this->settings->enable_watermark) ? 'checked' : ''; ?> />
	      <label for="enable_watermark0">No</label>
      </td>
    </tr>

    <!-- watermark -->
    <tr id="row-watermark">
      <td width="40%" class="paramlist_key">
        <span class="editlinktip">
          <label class="hasTip" for="watermark" title="<?php echo JText::_('Watermark'); ?>::<?php echo JText::_('Watermark'); ?>"><?php echo JText::_('Watermark'); ?></label>
        </span>
      </td>
      <td class="paramlist_value">
        <?php if (!empty($this->settings->watermark_path)): ?>
          <img src="<?php echo JURI::root(); ?>components/com_hotornot/upload/watermark/<?php echo $this->settings->watermark_path; ?>" />
          <br />
          <input type="checkbox" name="delete_watermark" id="delete_watermark" /><label for="delete_watermark"><?php echo JText::_('Delete'); ?></label>
          <br />
        <?php endif; ?>
        <input type="file" name="watermark" id="watermark" />
      </td>
    </tr>

    <!-- watermark_position_y -->
    <tr id="row_watermark_position_x">
      <td width="40%" class="paramlist_key">
        <span class="editlinktip">
          <label class="hasTip" for="watermark_position_y" title="<?php echo JText::_('Watermark vertical position'); ?>::<?php echo JText::_('Watermark vertical position'); ?>"><?php echo JText::_('Watermark vertical position'); ?></label>
        </span>
      </td>
      <td class="paramlist_value">
	      <select id="watermark_position_y" name="watermark_position_y">
	        <option value="1" <?php echo ($this->settings->watermark_position_y == 1) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Top'); ?></option>
	        <option value="2" <?php echo ($this->settings->watermark_position_y == 2) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Middle'); ?></option>
	        <option value="3" <?php echo ($this->settings->watermark_position_y == 3) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Bottom'); ?></option>
	      </select>
      </td>
    </tr>

    <!-- watermark_position_x -->
    <tr id="row_watermark_position_x">
      <td width="40%" class="paramlist_key">
        <span class="editlinktip">
          <label class="hasTip" for="watermark_position_x" title="<?php echo JText::_('Watermark horizontal position'); ?>::<?php echo JText::_('Watermark horizontal position'); ?>"><?php echo JText::_('Watermark horizontal position'); ?></label>
        </span>
      </td>
      <td class="paramlist_value">
	      <select id="watermark_position_x" name="watermark_position_x">
	        <option value="1" <?php echo ($this->settings->watermark_position_x == 1) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Left'); ?></option>
	        <option value="2" <?php echo ($this->settings->watermark_position_x == 2) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Center'); ?></option>
	        <option value="3" <?php echo ($this->settings->watermark_position_x == 3) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Right'); ?></option>
	      </select>
      </td>
    </tr>

    <!-- watermark_margin -->
    <tr id="row_watermark_margin">
      <td width="40%" class="paramlist_key">
        <span class="editlinktip">
          <label class="hasTip" for="watermark_margin" title="<?php echo JText::_('Watermark margin'); ?>::<?php echo JText::_('Set pixels from margin'); ?>"><?php echo JText::_('Watermark margin'); ?></label>
        </span>
      </td>
      <td class="paramlist_value">
	      <input type="text" name="watermark_margin" id="watermark_margin" value="<?php echo $this->settings->watermark_margin; ?>" />
      </td>
    </tr>

  </table>

<script>
  jQuery(document).ready(function ($) {
    $("#enable_watermark0, #enable_watermark1").change(function () {

      var rows = "#row-watermark, #row_watermark_position_x, #row_watermark_position_y, #row_watermark_margin";

      if ($("#enable_watermark1").attr("checked"))
      {
        $(rows).show();
      }
      else
      {
        $(rows).hide();
      }
    });

    $("#enable_watermark0").change();
  });
</script>