<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('stylesheet', 'thickbox.css', 'components/com_hotornot/assets/css/'); ?>
<?php JHTML::_('stylesheet', 'main.css', 'components/com_hotornot/assets/css/'); ?>
<?php JHTML::_('stylesheet', 'ui.all.css', 'components/com_hotornot/assets/css/'); ?>
<?php JHTML::_('script', 'jquery.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'jquery.noconflict.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'thickbox.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'settings.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'jquery-ui.js', 'components/com_hotornot/assets/js/'); ?>

<?php JToolBarHelper::title(JText::_('Settings'), 'generic.png'); ?>

<?php JToolBarHelper::save  ('settings', JText::_('Save')); ?>
<?php JToolBarHelper::cancel('', JText::_('Cancel')); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<style>
  #adminForm fieldset { width: 450px; float: left; clear: both; }
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_hotornot/assets/images/spanner.png); }
</style>

<script>
  jQuery(document).ready(function($){
    $("#tabs").tabs();
  });
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">

<div id="tabs" style="float: left; width: 100%;">
  <ul>
    <li><a href="#tab-global"><span><?php echo JText::_('Global'); ?></span></a></li>
    <li><a href="#tab-images"><span><?php echo JText::_('Images'); ?></span></a></li>
    <li><a href="#tab-tags"><span><?php echo JText::_('Tags'); ?></span></a></li>
    <li><a href="#tab-comments"><span><?php echo JText::_('Comments'); ?></span></a></li>
    <li><a href="#tab-reports"><span><?php echo JText::_('Reports'); ?></span></a></li>
    <li><a href="#tab-notifications"><span><?php echo JText::_('Notifications'); ?></span></a></li>
    <li><a href="#tab-info-boxes"><span><?php echo JText::_('Info Boxes'); ?></span></a></li>
    <li><a href="#tab-lovefactory"><span><?php echo JText::_('Love Factory Integration'); ?></span></a></li>
    <li><a href="#tab-maintenance"><span><?php echo JText::_('Maintenance'); ?></span></a></li>
  </ul>

  <div id="tab-global">
    <fieldset>
      <legend><?php echo JText::_('Global'); ?></legend>
      <?php require_once('_global.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Categories'); ?></legend>
      <?php require_once('_gender.php'); ?>
    </fieldset>
  </div>

  <div id="tab-images">
    <fieldset>
      <legend><?php echo JText::_('General'); ?></legend>
      <?php require_once('_image_general.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Image size'); ?></legend>
      <?php require_once('_image_size.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Thumbnail size'); ?></legend>
      <?php require_once('_thumbnail_size.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Image description'); ?></legend>
      <?php require_once('_image_description.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Watermark'); ?></legend>
      <?php require_once('_image_watermark.php'); ?>
    </fieldset>
  </div>

  <div id="tab-tags">
    <fieldset>
      <legend><?php echo JText::_('Tags'); ?></legend>
      <?php require_once('_tags.php'); ?>
    </fieldset>
  </div>

  <div id="tab-comments">
    <fieldset>
      <legend><?php echo JText::_('Comments'); ?></legend>
      <?php require_once('_comments.php'); ?>
    </fieldset>
  </div>

  <div id="tab-notifications">
    <fieldset>
      <legend><?php echo JText::_('General'); ?></legend>
      <?php require_once('_notifications_general.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New comment notification'); ?></legend>
      <?php require_once('_notifications_new_comment.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New image uploaded'); ?></legend>
      <?php require_once('_notifications_new_image_uploaded.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New image approved'); ?></legend>
      <?php require_once('_notifications_new_image_approved.php'); ?>
    </fieldset>
  </div>

  <div id="tab-info-boxes">
    <fieldset>
      <legend><?php echo JText::_('Upload your photo'); ?></legend>
      <?php require_once('_info_upload.php'); ?>
    </fieldset>
  </div>

  <div id="tab-reports">
    <fieldset>
      <legend><?php echo JText::_('Reports'); ?></legend>
      <?php require_once('_reports.php'); ?>
    </fieldset>
  </div>

  <div id="tab-lovefactory">
    <fieldset>
      <legend><?php echo JText::_('Love Factory Integration'); ?></legend>
      <?php require_once('_lovefactory.php'); ?>
    </fieldset>
  </div>

  <div id="tab-maintenance">
    <fieldset>
      <legend><?php echo JText::_('Maintenance'); ?></legend>
      <?php require_once('_maintenance.php'); ?>
    </fieldset>
  </div>

</div>

  <input type="hidden" name="option" value="com_hotornot" />
  <input type="hidden" name="task" value="" />
</form>

