<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewSettings extends JView
{
  function display($tpl = null)
  {
    require_once(JPATH_COMPONENT_SITE.DS.'helper.php');
    $settings    =& $this->get('Settings');
    $is_writable =  $this->isWritable(Helper::decodePath($settings->upload_folder));
    $lovefactory =& $this->get('LoveFactoryIntegration');
    $admins      =& $this->get('Admins');

    $this->assignRef('is_writable', $is_writable);
    $this->assignRef('settings',    $settings);
    $this->assignRef('lovefactory', $lovefactory);
    $this->assignRef('admins',      $admins);

    parent::display($tpl);
  }

  function isWritable($folder)
  {
    return (is_dir($folder) && is_writable($folder));
  }
}