jQuery(document).ready( function ($) {

  $('#hotornot-comments .update').css('visibility', 'visible');
  $('#hotornot-comments .loading').hide();

  // Pagination
  $('#pagination a').click( function () {
    $('#hotornot-comments .loading').show();

    /*$('#hotornot-comments .update').html('');*/
    $('#hotornot-comments .update').css('visibility', 'hidden');

    $('#hotornot-comments .update').load($(this).attr('href'));
    return false;
  });

  // Report
  $('#hotornot-comments .hotornot-report').click( function ()
  {
    var test = $(this).parent();
    $.post(root + "index.php?option=com_hotornot&task=report&format=raw", {
      type: 2,
      id:   $(this).attr('rel')},
      function(data)
      {
        test.html(data);
      }
    );

    $(this).parent().html($('#hotornot-loading').html());

    return false;
  });

  // Delete
  $('#hotornot-comments .hotornot-delete').click( function () {
    if (confirm('Are you sure you want to delete this comment?'))
    {
      $(this).parent().load($(this).attr('href'));
      $(this).parent().html($('#hotornot-loading').html());
    }
    return false;
  });

  // Submit comment
  $('#submit-comment').click( function () {
    var error = false;

    if ($('#comment').val() == '')
    {
      $('#comment').addClass('error');
      error = true;
    }
    else
    {
      $('#comment').removeClass('error');
    }

    if (error)
    {
      return false;
    }

    // submit loader
    $("#hotornot-comment-loader").show();

    $.post(
      root + 'index.php?option=com_hotornot&format=raw&task=comment', {
      comment: $('#comment').val(),
      id:      $('#hotornot-comments').attr('class'),
      source:  $('#source').val() },
      function(data) {
        if (!ecas)
        {
          $('#hotornot-comments .update').load(root + 'index.php?option=com_hotornot&task=comments&format=raw&id=' + $('#hotornot-comments').attr('class') + '&source=' + $('#source').val());
        }
        else
        {
          $("#hotornot-your-comment").hide();
          $("#comment-message").show();
        }
    });

    if (!ecas)
    {
      $('#hotornot-comments .loading').show();
      $('#hotornot-your-comment').html('');
      $('#hotornot-comments .update').html('');
    }

    return false;
  });

  $('#name').focus( function () {
    $('#name').removeClass('error')
  });

  $('#comment').focus( function () {
    $('#comment').removeClass('error')
  });

});