<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('stylesheet', 'main.css', 'components/com_hotornot/assets/css/'); ?>
<?php JHTML::_('script', 'jquery.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'jquery-ui.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'upload.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'multifile.js', 'components/com_hotornot/assets/js/'); ?>
<?php JHTML::_('script', 'jquery.noconflict.js', 'components/com_hotornot/assets/js/'); ?>

<div id="hotornot-wrapper">

  <h1><?php echo JText::_('Upload your photo'); ?></h1>
  <p><?php echo nl2br(base64_decode($this->settings->info_upload_photo)); ?></p>

  <iframe id="hotornot-upload-iframe" name="hotornot-upload-iframe" style="display: none;"></iframe>

  <div id="hotornot-upload-update" style="display: none;">
    <img src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/ajax-loader.gif" class="hotornot-icon2" /><?php echo JText::_('Please wait... Processing upload...'); ?>
  </div>

  <form action="<?php echo JUri::root(); ?>index.php?option=com_hotornot&task=upload&format=raw" method="POST" enctype="multipart/form-data" id="hotornot-upload-form" target="hotornot-upload-iframe">
    <table>
      <tr>
        <td>
          <label for="image"><?php echo JText::_('Your photo'); ?>:</label>
        </td>
        <td id="image-container"><input id="my_file_element" type="file" name="file_1" ></td>
      </tr>

      <?php if ($this->settings->allow_gender): ?>
        <tr>
          <td colspan="2">
            <label for="category"><?php echo JText::_('Category'); ?>:</label>
            <select id="category" name="category">
              <?php foreach ($this->categories as $category): ?>
                <option value="<?php echo $category->id; ?>"><?php echo $category->title; ?></option>
              <?php endforeach; ?>
            </select>
          </td>
        </tr>
      <?php endif; ?>

      <tr>
        <td colspan="2">
          <img class="hotornot-icon2" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/information.png" />
          <?php echo JText::_('Only files with a minimum height of'); ?> <?php echo $this->settings->image_min_height; ?><?php echo JText::_('px and a minimum width of'); ?> <?php echo $this->settings->image_min_width; ?><?php echo JText::_('px are accepted.'); ?>
        </td>
      </tr>

      <tr>
        <td colspan="2">
          <img class="hotornot-icon2" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/exclamation.png" />
          <?php echo JText::_('Marked fields are required'); ?>
        </td>
      </tr>

      <tr>
        <td colspan="2"><input type="submit" value="<?php echo JText::_('Upload'); ?>" /></td>
      </tr>
    </table>
    <div id="files_list"></div>
    <input type="hidden" name="format" value="raw" />
    <input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
  </form>
</div>

<script>
  var root                      = "<?php echo JURI::root(); ?>";

  var allow_image_description   = <?php echo $this->settings->allow_image_description; ?>;
  var require_image_description = <?php echo $this->settings->require_image_description; ?>;
  var max_description_length    = <?php echo $this->settings->max_description_length; ?>;

  var max_uploads               = <?php echo $this->settings->max_uploads; ?>;

  var allow_tags                = <?php echo $this->settings->allow_tags; ?>;
  var require_tags              = <?php echo $this->settings->require_tags; ?>;
  var max_no_tags               = <?php echo $this->settings->max_no_tags; ?>;

  var allow_gender              = <?php echo $this->settings->allow_gender; ?>;

  var text_description          = "<?php echo JText::_('Description'); ?>";
  var text_chars_remaining      = "<?php echo JText::_('characters remaining'); ?>";

  var text_category             = "<?php echo JText::_('Category'); ?>";
  var text_male                 = "<?php echo JText::_('Male'); ?>";
  var text_female               = "<?php echo JText::_('Female'); ?>";

  var text_tags                 = "<?php echo JText::_('Tags'); ?>";
  var text_tags_remaining       = "<?php echo JText::_('tags remaining'); ?>";

  var text_photo                = "<?php echo JText::_('photo'); ?>";

  var text_delete               = "<?php echo JText::_('delete'); ?>";
  var text_select_one_file      = "<?php echo JText::_('Select at least one file to upload...'); ?>";

  var multi_selector = new MultiSelector(document.getElementById('files_list'), max_uploads);
  multi_selector.addElement(document.getElementById('my_file_element'));
</script>