<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class BackendController extends JController
{
  function __construct()
  {
    parent::__construct();
  }

  function display()
  {
    #global $mainframe;
    #$mainframe->redirect('index.php?option=com_hotornot&task=reports');
    #$mainframe->redirect('index.php?option=com_hotornot&task=images');

    parent::display();
  }

  function images()
  {
    $view  =& $this->getView('images', 'html');
    $model =& $this->getModel('images');

    $view->setModel($model, true);
    $view->display();
  }

  function categories()
  {
    $view  =& $this->getView('categories', 'html');
    $model =& $this->getModel('categories');

    $view->setModel($model, true);
    $view->display();
  }

  function settings()
  {
    $model =& $this->getModel('settings');

    if (JRequest::getMethod() == 'GET')
    {
      // Show the settings form
      $view  =& $this->getView('settings', 'html');

      $view->setModel($model, true);
      $view->display();
    }
    else
    {
      // Save the settings and redirect
      $model->store();

      global $mainframe;
      $mainframe->redirect('index.php?option=com_hotornot&task=settings', 'Settings saved!');
    }
  }

  function browse()
  {
    $view =& $this->getView('browse', 'html');

    $view->display();
  }

  function createfolder()
  {
    require_once(JPATH_ROOT.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

    $new       = JRequest::getVar('new', '', 'GET', 'string');
    $current   = JRequest::getVar('current', '', 'GET', 'string');
    $current_d = Helper::decodePath($current);

    mkdir($current_d.DS.$new, 0777);

    global $mainframe;
    die('stop');
    $mainframe->redirect('index.php?option=com_hotornot&task=browse&format=raw&current=' . $current);
  }

  function about()
  {
    $view  =& $this->getView('about', 'html');
    $model =& $this->getModel('about');

    $view->setModel($model, true);
    $view->display();
  }

  function reports()
  {
    $view  =& $this->getView('reports', 'html');
    $model =& $this->getModel('reports');

    $view->setModel($model, true);
    $view->display();
  }

  function reportsimages()
  {
    require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');
    require_once(JPATH_ROOT.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

    $view  =& $this->getView('reports', 'html');
    $model =& $this->getModel('reports');

    $view->setModel($model, true);
    $view->displayImages();
  }

  function reportscomments()
  {
    require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');
    require_once(JPATH_ROOT.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

    $view  =& $this->getView('reports', 'html');
    $model =& $this->getModel('reports');

    $view->setModel($model, true);
    $view->displayComments();
  }

  function delete()
  {
    $view  =& $this->getView('delete', 'html');
    $model =& $this->getModel('delete');

    $view->setModel($model, true);
    $view->display();
  }

  function deletereport()
  {
    $view  =& $this->getView('deletereport', 'html');
    $model =& $this->getModel('deletereport');

    $view->setModel($model, true);
    $view->display();
  }

  function edit()
  {
    $view  =& $this->getView('image', 'html');
    $model =& $this->getModel('image');

    $view->setModel($model, true);
    $view->display();
  }

  function save()
  {
    $model = $this->getModel('image');

    if ($model->store())
    {
      $msg = 'Image saved!';
    }
    else
    {
      $msg = 'Error saving image!';
    }

    global $mainframe;
    $mainframe->redirect('index.php?option=com_hotornot', $msg);
  }

  function delete_image()
  {
    $model = $this->getModel('image');

    if ($model->delete())
    {
      $msg = 'Image deleted!';
    }
    else
    {
      $msg = 'Error deleting image!';
    }

    global $mainframe;
    $mainframe->redirect('index.php?option=com_hotornot&task=images', $msg);
  }

  function changecat()
  {
    $view  =& $this->getView('change', 'html');
    $model =& $this->getModel('change');

    $view->setModel($model, true);
    $view->display();
  }

  // Maintenance
  function resetvotes()
  {
    global $mainframe;

    $model =& $this->getModel('maintenance');

    if ($model->resetVotes())
    {
      $msg = JText::_('Operation successful!');
    }
    else
    {
      $msg = JText::_('Operation failed!');
    }

    $mainframe->redirect('index.php?option=com_hotornot&task=settings', $msg);
  }
}