<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class BackendModelChange extends JModel
{
  function __construct()
  {
    parent::__construct();
  }

  function getImages()
  {
    $cid =& JRequest::getVar('cid', array(), 'POST', 'array');
    JArrayHelper::toInteger($cid);

    return $cid;
  }

  function getCategories()
  {
    $query = ' SELECT c.id, c.title'
           . ' FROM #__hotornot_categories c'
           . ' WHERE c.published = 1'
           . ' ORDER BY c.title ASC';
    $this->_db->setQuery($query);

    return JHTML::_('select.genericlist', $this->_db->loadObjectList(), 'category_id', 'class="inputbox" size="1"', 'id', 'title');
  }

  function changeCategories()
  {
    $cid =& JRequest::getVar('cid', array(), 'POST', 'array');
    JArrayHelper::toInteger($cid);

    if (!count($cid))
    {
      JError::raiseWarning(0, JText::_('No images selected!'));
      return false;
    }

    $category_id =& JRequest::getVar('category_id', 0, 'POST', 'integer');
    $category    =& $this->getTable('category', 'Table');

    $category->load($category_id);
    if (count($category->_errors))
    {
      JError::raiseWarning(0, JText::_('Category not found!'));
      return false;
    }

    $query = ' UPDATE #__hotornot_image'
           . ' SET category_id = ' . $category_id
           . ' WHERE id IN (' . implode(',', $cid) . ')';
    $this->_db->setQuery($query);
    if (!$this->_db->query())
    {
      JError::raiseWarning(0, $this->_db->getErrorMsg());
      return false;
    }

    return true;
  }
}