<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_hotornot"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require( dirname( __FILE__ ).DS.'tmpl'.DS.'error.php' );
}
else
{
  global $Itemid;

  $Itemid2 = $params->get('itemid', $Itemid);

  require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');
  require_once(JPATH_BASE.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

  $settings = new HNConfig();
  $session  =& JFactory::getSession();

  $database =& JFactory::getDBO();

  $query1 = ' SELECT i.id, i.hits, i.rank, i.extension, i.folder, i.user_id, "hotornot" AS source'
          . ' FROM #__hotornot_image i'
          . ' WHERE 1'
          . ' AND i.approved = 1'
          . (($session->get('hotornot_last_viewed_source') == 'hotornot') ? ' AND i.id <> ' . $session->get('hotornot_last_viewed', 0) : '')
          . (($session->get('hotornot_last_voted_source') == 'hotornot') ? ' AND i.id <> ' . $session->get('hotornot_last_voted', 0) : '');

  $query2 = ' SELECT p.id, i.hits, i.rank, p.filename AS extension, "" AS folder, p.user_id, "lovefactory" AS source'
          . ' FROM #__lovefactory_photos p'
          . ' LEFT JOIN #__hotornot_image_lovefactory i ON p.id = i.image_id'
          . ' WHERE 1'
          . ' AND i.approved = 1'
          . (($session->get('hotornot_last_viewed_source') == 'lovefactory') ? ' AND i.id <> ' . $session->get('hotornot_last_viewed', 0) : '')
          . (($session->get('hotornot_last_voted_source') == 'lovefactory') ? ' AND i.id <> ' . $session->get('hotornot_last_voted', 0) : '');

  switch (Helper::getPhotoSource())
  {
    case 0:
      $query = $query1;
    break;

    case 1:
      $query = '(' . $query1 . ') UNION (' . $query2 . ')';
    break;

    case 2:
      $query = $query2;
    break;
  }

  $query .= ' ORDER BY RAND()'
          . ' LIMIT 0,1';

  $database->setQuery($query);
  #var_dump($database->_sql);
  #die();
  $image = $database->loadAssoc();

  require( dirname( __FILE__ ).DS.'tmpl'.DS.'default.php' );
}