<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_hotornot"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require( dirname( __FILE__ ).DS.'tmpl'.DS.'error.php' );
}
else
{
  global $Itemid;

  $Itemid2 = $params->get('itemid', $Itemid);

  require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');
  require_once(JPATH_BASE.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

  $settings = new HNConfig();
  if ($settings->allow_tags)
  {
    $database =& JFactory::getDBO();

	  $query  = ' SELECT COUNT(name) AS count, name'
	          . ' FROM #__hotornot_tag'
	          #. ' WHERE CHAR_LENGTH(name) >= 2'
	          #. ' AND CHAR_LENGTH(name) <= 10'
	          . ' GROUP BY name'
	          . ' ORDER BY COUNT(name) DESC, RAND() ASC'
	          . ' LIMIT 0, ' . $settings->max_cloud_tags;
    $database->setQuery($query);
    $tags = $database->loadAssocList();

    if (count($tags) > 1)
    {
      $new = array();
      foreach ($tags as $tag)
      {
        $temp = (string)$tag['name'].' ';
        $new[$temp] = $tag['count'];
      }
      $tags = $new;

      $max_font   = 20;
      $min_font   = 10;

      $minimum_count = min(array_values($tags));
      $maximum_count = max(array_values($tags));

      $rank_font = $max_font - $min_font;
      $rank_freq = $maximum_count - $minimum_count;

      if ($rank_freq == 0)
      {
        $rank_freq = 1;
      }

      $tags = array_merge( array_flip(array_rand($tags, count($tags))), $tags);
    }
  }

  require( dirname( __FILE__ ).DS.'tmpl'.DS.'default.php' );
}