<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_hotornot"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require( dirname( __FILE__ ).DS.'tmpl'.DS.'error.php' );
}
else
{
  global $Itemid;

  $Itemid2 = $params->get('itemid', $Itemid);

  require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_hotornot'.DS.'settings.php');
  require_once(JPATH_BASE.DS.'components'.DS.'com_hotornot'.DS.'helper.php');

  $settings = new HNConfig();

  $database   =& JFactory::getDBO();
  $cats =  $params->get('categories');
  $cats = is_array($cats) ? implode(',', $cats) : $cats;

  if ('' == $cats)
  {
    require_once(dirname( __FILE__ ).DS.'tmpl'.DS.'no_photos.php');
    return false;
  }

  $query = ' SELECT c.id, c.title'
         . ' FROM #__hotornot_categories c'
         . ' WHERE c.id IN (' . $cats . ')'
         . ' AND c.published = 1';
  $database->setQuery($query);
  $categories = $database->loadObjectList('id');

  $cats = array();
  foreach ($categories as $id => $cat)
  {
    $cats[] = $id;
  }

  if (!count($cats))
  {
    require_once(dirname( __FILE__ ).DS.'tmpl'.DS.'no_photos.php');
    return false;
  }

  $query = ' SELECT i.id, i.hits, i.category_id, i.folder, i.extension, i.user_id, i.rank AS test_rank, i2.rank'
         . ' FROM #__hotornot_image i'
         . ' LEFT OUTER JOIN #__hotornot_image i2 ON i2.category_id = i.category_id AND i2.rank > i.rank'
         . ' WHERE i2.rank IS NULL'
         . ' AND i.approved = 1'
         . ' AND i.rank <> 0.00'
         . ' AND i.category_id IN (' . implode(',', $cats) . ')';
  $database->setQuery($query);
  $images = $database->loadObjectList();

  if (!count($images))
  {
    require_once(dirname( __FILE__ ).DS.'tmpl'.DS.'no_photos.php');
    return false;
  }

  require( dirname( __FILE__ ).DS.'tmpl'.DS.'default.php' );
}