<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewBrowse extends JView
{
  function display($tpl = null)
  {
    $current = realpath(base64_decode(JRequest::getVar('current', '', 'GET', 'string')));

    if (strpos($current, JPATH_ROOT) === false)
    {
      $current = JPATH_ROOT;
    }

    $directories = $this->getDirectories($current);

    $this->assignRef('current',     $current);
    $this->assignRef('directories', $directories);

    parent::display($tpl);
  }

  function getDirectories($current)
  {
    $directories = array();

    if ($handle = @opendir($current))
    {
      while (false !== ($dir = readdir($handle)))
      {
        if (is_dir($current.DS.$dir))
        {
          if ($dir != '.')
          {
            if ($dir != '..')
            {
              if (false !== ($test = @readdir(@opendir($current.DS.$dir))))
              {
                $directories[] = array(
                  'name' => $dir,
                  'writable' => is_writable($current.DS.$dir)
                );
              }
            }
            else
            {
              $parent = realpath($current.DS.$dir);

              if (strpos($parent, JPATH_ROOT) !== false)
              {
                $directories[] = array(
                  'name' => $dir,
                  'writable' => is_writable($current.DS.$dir)
                );
              }
            }
          }
        }
      }
      closedir($handle);
    }
    else
    {
    	$directories[] = array(
        'name' => '..',
        'writable' => false
      );
    }

    sort($directories);

    return $directories;
  }
}