<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewCategories extends JView
{
  function display($tpl = null)
  {
    JToolBarHelper::title(JText::_('Categories'));
    JToolBarHelper::publishList();
    JToolBarHelper::unpublishList();
    JToolBarHelper::spacer();
    JToolBarHelper::addNew();
    JToolBarHelper::editList();
    JToolBarHelper::deleteList(JText::_('Are you sure?'));

    $categories =& $this->get('Data');
    $pagination =& $this->get('Pagination');
    $lists      =& $this->_getViewLists();
    $ordering   = ($lists['order'] == 'ordering');

    $this->assignRef('categories', $categories);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('lists',      $lists);
    $this->assignRef('ordering',   $ordering);

    parent::display($tpl);
  }

  function &_getViewLists()
	{
		global $mainframe, $option;

		$filter_order     = $mainframe->getUserStateFromRequest($option . 'filter_order',     'filter_order',     'title', 'cmd');
    $filter_order_Dir = $mainframe->getUserStateFromRequest($option . 'filter_order_Dir', 'filter_order_Dir', 'asc',   'word');
    $filter_state		  = $mainframe->getUserStateFromRequest($option . 'filter_state',		  'filter_state',		  '',			 'word' );
    $search				    = $mainframe->getUserStateFromRequest($option . 'search',			      'search',			      '',			 'string');
		$search				    = JString::strtolower($search);

		// table ordering
		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		  = $filter_order;

		// search
		$lists['search'] = $search;

		// state
		$lists['state'] = $filter_state;

		return $lists;
	}
}