<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewImages extends JView
{
  function display($tpl = null)
  {
    require_once(JPATH_COMPONENT_SITE.DS.'helper.php');
    JToolBarHelper::title('Images', 'image');

    require_once(JPATH_COMPONENT_SITE.DS.'helper.php');

    if (Helper::getPhotoSource() != 1)
    {
      JToolBarHelper::customX('changecat', 'move.png', 'move_f2.png', JText::_('Change category'));
      JToolBarHelper::publishList('publish', JText::_('Approve'));
      JToolBarHelper::unpublishList('unpublish', JText::_('Disapprove'));
      JToolBarHelper::spacer();
      JToolBarHelper::deleteList(JText::_('Are you sure?'));
    }

    $images     =  $this->get('Data');
    $pagination =  $this->get('Pagination');
    $tags       =  $this->get('Tags');
    $lists      =& $this->_getViewLists();

    $this->assignRef('images',     $images);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('tags',       $tags);
    $this->assignRef('lists',      $lists);

    parent::display($tpl);
  }

  function &_getViewLists()
	{
		global $mainframe, $option;

		$approved = $mainframe->getUserStateFromRequest($option . '.images.approved', 'approved', '', 'string');

		$lists['approved'] = $approved;

		return $lists;
	}
}