<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelComments extends JModel
{
  var $id;
  var $limitstart;
  var $total;
  var $comments_per_page;

  function __construct()
  {
    $this->id         = JRequest::getVar('id', 0, 'GET', 'integer');
    $this->source     = JRequest::getVar('source', '', 'GET', 'string');
    $this->limitstart = JRequest::getVar('limitstart', 0, 'GET', 'integer');

    $params =& JComponentHelper::getParams('com_hotornot');
    $this->comments_per_page = $params->get('comments_displayed');

    $this->total = $this->getTotalComments();

    parent::__construct();
  }

  function getTotalComments()
  {
    $database = &JFactory::getDBO();

    $query = ' SELECT COUNT(id)'
           . ' FROM #__hotornot_comment'
           . ' WHERE image_id = ' . $this->id
           . ' AND source = "' . $this->source . '"';
    $database->setQuery($query);

    return $database->loadResult();
  }

  function getPagination()
  {
    jimport('joomla.html.pagination');

    $pagination = new JPagination($this->total, $this->limitstart, $this->comments_per_page);
    return $pagination;
  }

  function getComments()
  {
    $query = ' SELECT c.*, IF(u.username IS NOT NULL, u.username, "' . JText::_('Anonymous') . '") AS name'
           . ' FROM #__hotornot_comment c'
           . ' LEFT JOIN #__users u ON u.id = c.user_id'
           . ' WHERE c.image_id = ' . $this->id
           . ' AND c.source = "' . $this->source .'"'
           . ' AND c.approved = 1'
           . ' ORDER BY c.date_added DESC';
    return $this->_getList($query, $this->limitstart, $this->comments_per_page);
  }
}
