<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelImage extends JModel
{
  function __construct()
  {
    parent::__construct();
  }

  function deleteByOwner()
  {
    $id     =& JRequest::getVar('id',     0,  'GET', 'integer');
    $source =& JRequest::getVar('source', '', 'GET', 'string');
    $user   =& JFactory::getUser();

    switch ($source)
    {
      case 'hotornot':
        $query = ' SELECT i.id'
               . ' FROM #__hotornot_image i'
               . ' WHERE i.id = ' . $id
               . ' AND i.user_id = ' . $user->id;
        $this->_db->setQuery($query);
        $image = $this->_db->loadResult();

        if (is_null($image))
        {
          $this->setError('Photo not found');
          return false;
        }

        $model =& JModel::getInstance('delete', 'FrontendModel');
        return $model->deleteImage();
      break;

      case 'lovefactory':
        $query = ' SELECT i.id'
               . ' FROM #__hotornot_image_lovefactory i'
               . ' LEFT JOIN #__lovefactory_photos p ON p.id = i.image_id'
               . ' WHERE i.image_id = ' . $id
               . ' AND p.user_id = ' . $user->id;
        $this->_db->setQuery($query);
        $image = $this->_db->loadResult();

        if (is_null($image))
        {
          $this->setError('Photo not found');
          return false;
        }

        $model =& JModel::getInstance('delete', 'FrontendModel');
        return $model->deleteImage();
      break;
    }

    return true;
  }
}