<?php defined('_JEXEC') or die('Restricted access'); ?>

<style type="text/css">
	tr.even td { background-color: #eeeeee; }
	.hotornot-table { width: 100%; }
	.hotornot-table td, .hotornot-table th { padding: 3px 5px; vertical-align: top; }
	.hotornot-table th { background-color: #cccccc; }
</style>

<script>
  function validate()
  {
    form = document.adminForm;

    if (form.boxchecked.value == 0)
    {
      alert("<?php echo JText::_('Select at least one comment'); ?>");
      return false;
    }

    if (form.action.value == '')
    {
      alert("<?php echo JText::_('Select the action'); ?>");
      return false;
    }
  }
</script>

<h1><?php echo JText::_('Manage comments'); ?></h1>

<form action="<?php echo JUri::root(); ?>index.php?option=com_hotornot&task=managecomments" method="post" name="adminForm" onsubmit="return validate();">
  <table class="hotornot-table" cellpadding="0px" cellspacing="0px">
    <thead>
      <tr>
        <th style="width: 10px;"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->comments); ?>);" /></th>
        <th><?php echo JText::_('Comment'); ?></th>
        <th style="width: 150px;"><?php echo JText::_('Image link'); ?></th>
        <th style="width: 150px;"><?php echo JText::_('Info'); ?></th>
      </tr>
    </thead>

    <tfoot>
      <tr>
        <td colspan="2"><?php echo $this->pagination->getPagesLinks(); ?></td>
      </tr>
    </tfoot>

    <tbody>
      <?php if (count($this->comments)): ?>
        <?php foreach ($this->comments as $i => $comment): ?>
          <tr class="<?php echo ($i % 2) ? 'even' : ''; ?>">
            <td><?php echo JHTML::_('grid.id', $i, $comment->id); ?></td>
            <td><?php echo $comment->comment; ?></td>
            <td>
              <a href="<?php echo JRoute::_('index.php?option=com_hotornot&task=show&id=' . $comment->image_id . '&source=' . $comment->source); ?>"><?php echo JText::_('link');; ?></a>
            </td>
            <td>
              <i>
                <?php echo JText::_('by'); ?> <b><?php echo $comment->username; ?></b>
                <br />
                <?php echo JText::_('on'); ?> <b><?php echo $comment->date_added; ?></b>
              </i>
              <br />
              <a href="<?php echo JUri::root(); ?>index.php?option=com_hotornot&task=approvecomment&id=<?php echo $comment->id; ?>"><?php echo JText::_('approve'); ?></a> |
              <a href="<?php echo JUri::root(); ?>index.php?option=com_hotornot&task=deletecomment&id=<?php echo $comment->id; ?>"><?php echo JText::_('delete'); ?></a>
            </td>
          </tr>
        <?php endforeach; ?>
      <?php else: ?>
        <tr>
          <td colspan="5"><?php echo JText::_('No comments found.'); ?></td>
        </tr>
      <?php endif; ?>
    </tbody>
  </table>

  <div>
    <select name="action" id="action">
      <option value=""></option>
      <option value="approve"><?php echo JText::_('Approve'); ?></option>
      <option value="delete"><?php echo JText::_('Delete'); ?></option>
    </select>
    <input type="submit" value="<?php echo JText::_('go'); ?>" />
  </div>

  <input type="hidden" name="boxchecked" value="0" />
</form>