<?php defined('_JEXEC') or die('Restricted access'); ?>

<div class="vote-zone">

  <!-- START -->
  <div style="text-align: center; margin-bottom: 20px;">
    <?php if (!$this->allowed_to_vote): ?>
      <?php echo JText::_('You must login to vote'); ?>!
    <?php elseif (!$this->already_voted): ?>
      <?php echo JText::_('Select a rating to see the next picture'); ?>
      <ul style="margin: 0px auto; width: <?php echo intval($this->params->scale_top * 20); ?>px">
        <?php for ($i = 1; $i <= $this->params->scale_top; $i++): ?>
          <li class="hotornot-button no<?php echo $i; ?>" id="<?php echo $i; ?>"></li>
        <?php endfor; ?>
      </ul>
    <?php else: ?>
      <?php echo JText::_('You already voted this image or you are not allowed to vote!'); ?>
      <br />
      <a href="<?php echo JRoute::_('index.php?option=com_hotornot&view=browse&Itemid=' . $this->Itemid); ?>"><?php echo JText::_('Click here to see the next picture!'); ?></a>
    <?php endif; ?>

    <!-- START -->
    <div class="spacer"></div>

    <?php if ($this->image['source'] == 'hotornot'): ?>
      <img style="border: 1px solid #000000; padding: 5px;" alt="photo" src="<?php echo Helper::imageSrc($this->image['id'], $this->image['extension'], $this->image['folder'], ''); ?>" />
    <?php else: ?>
      <img style="border: 1px solid #000000; padding: 5px;" alt="photo" src="<?php echo JURI::root(); ?>components/com_lovefactory/storage/photos/<?php echo $this->image['user_id']; ?>/<?php echo $this->image['extension']; ?>" />
    <?php endif; ?>

    <div id="hotornot-loading" style="display: none;"><img alt="loader" src="<?php echo JURI::base(); ?>components/com_hotornot/assets/images/ajax-loader.gif" class="hotornot-icon" /><?php echo JText::_('Loading, please wait...'); ?></div>
    <!-- END -->

    <!-- START -->
    <div style="text-align: center;">
      <span><img alt="report" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/information.png" class="hotornot-icon" /><a href="index.php?option=com_hotornot&format=raw&task=report&type=1&id=<?php echo $this->image['id']; ?>&source=<?php echo $this->image['source']; ?>&height=300&width=400" class="thickbox" title="<?php echo JText::_('Report this image'); ?>"><?php echo JText::_('report'); ?></a></span>

      <?php if ($this->admin): ?>
        <span>
          <img alt="delete" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/image_delete.png" class="hotornot-icon" /><a href="index.php?option=com_hotornot&task=delete&format=raw&type=1&source=<?php echo $this->image['source']; ?>&id=<?php echo $this->image['id']; ?>" class="hotornot-delete image"><?php echo JText::_('delete'); ?></a>
        </span>
      <?php endif; ?>
    </div>
    <!-- END -->

    <?php #include('_gender_selection.php'); ?>

    <!-- Uploaded by -->
    <?php echo JText::_('Uploaded by:'); ?>
    <?php if($this->image['user_id']): ?>
      <a href="<?php echo JRoute::_('index.php?option=com_hotornot&task=userpictures&id=' . $this->image['user_id'] . '&Itemid=' . $this->Itemid); ?>"><?php echo $this->image['username']; ?></a>
    <?php else: ?>
      <?php echo $this->image['username']; ?>
    <?php endif; ?>

    <!-- Category -->
    <?php echo JText::_('in category:'); ?>
    <img src="<?php echo JUri::root(); ?>components/com_hotornot/upload/icons/<?php echo $this->image['category_icon']; ?>" />
    <a href="<?php echo JRoute::_('index.php?option=com_hotornot&task=categorypictures&id=' . $this->image['category_id'] . '&Itemid=' . $this->Itemid); ?>"><?php echo $this->image['category_id'] ? $this->image['category_name'] : JText::_('Uncategorized'); ?></a> (<?php echo $this->num_photos; ?> <?php echo JText::_('photos in category'); ?>)


    <br />

    <img alt="link" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/link.png" class="hotornot-icon" /><?php echo JText::_('Share link'); ?>:
    <input name="share-link" id="share-link" value="<?php echo JURI::root(); ?>index.php?option=com_hotornot&amp;task=show&amp;id=<?php echo $this->image['id']; ?>&source=<?php echo $this->image['source']; ?>&Itemid=<?php echo $this->Itemid; ?>" style="width: 400px; "/>
  </div>
  <!-- END -->

    <!-- START -->
    <?php if ((!empty($this->image['description'])) && ($this->settings->allow_image_description)): ?>
      <div class="hotornot-heading"><img alt="description" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/text_dropcaps.png" class="hotornot-icon" /><?php echo JText::_('Description'); ?></div>
      <div class="hotornot-text">"<i><?php echo nl2br($this->image['description']); ?></i>"</div>
    <?php endif; ?>
    <!-- END -->

    <?php if ($this->settings->allow_comments_from): ?>

      <!-- START -->
      <div class="hotornot-heading"><img alt="comments" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/comments.png" class="hotornot-icon" /><?php echo JText::_('Comments'); ?></div>
      <div class="hotornot-text">
        <div id="hotornot-comments" class="<?php echo $this->image['id']; ?>">
          <div class="loading">
            <img alt="ajax-loader" src="components/com_hotornot/assets/images/ajax-loader.gif" class="hotornot-icon" />
            <?php echo JText::_('Please wait! Comments are being loaded...'); ?>
          </div>
          <div class="update"></div>
        </div>
      </div>
      <!-- END -->

      <!-- START -->
      <div id="hotornot-your-comment">
        <div class="hotornot-text">
          <?php if ($this->can_comment): ?>
            <img alt="add comment" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/comment_add.png" class="hotornot-icon" /><a href="#" id="show-comment-form"><b><?php echo JText::_('Leave your comment'); ?></b></a>
            <table style="display: none; padding: 5px;" id="comment-form">
              <tr>
                <td style="vertical-align: top; "><label for="comment"><?php echo JText::_('Comment'); ?>:</label></td>
                <td><textarea name="comment" id="comment" style="width: 300px; height: 100px;"></textarea></td>
              </tr>
              <tr>
                <td colspan="2">
                  <a href="#" id="submit-comment"><?php echo JText::_('Add comment'); ?></a>
                </td>
              </tr>
              <tr id="hotornot-comment-loader" style="display: none;">
                <td colspan="2"><img alt="ajax-loader" src="components/com_hotornot/assets/images/ajax-loader.gif" class="hotornot-icon" /><?php echo JText::_('Processing form...'); ?></td>
              </tr>
            </table>
          <?php else: ?>
            <?php echo JText::_('Comments are not allowed for your group!'); ?>
          <?php endif; ?>
        </div>
      </div>
      <div style="margin: 5px; font-weight: bold; display: none;" id="comment-message"><?php echo JText::_('Your comment was added and it\'s waiting to be approved.'); ?></div>
      <!-- END -->

    <?php endif; ?>

    <!-- START -->
    <?php if (($this->settings->allow_tags) && (count($this->tags))): ?>
      <div class="hotornot-heading"><img alt="tag blue" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/tag_blue.png" class="hotornot-icon" /><?php echo JText::_('Tags'); ?></div>
      <div class="hotornot-text">
        <?php $counter = 1; ?>
        <?php foreach ($this->tags as $tag): ?>
          <img alt="tag red" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/tag_red.png" class="hotornot-icon" /><a href="<?php echo JRoute::_('index.php?search_query=' . str_replace(' ', '+', $tag) . '&type=2&option=com_hotornot&task=search&Itemid=' . $this->Itemid); ?>"><?php echo $tag; ?></a><?php if ($counter < count($this->tags)): ?>,&nbsp;<?php endif; ?>
          <?php $counter ++; ?>
        <?php endforeach; ?>
      </div>
    <?php endif; ?>
    <!-- END -->

  <!-- START -->
  <div class="hotornot-heading"><img alt="tick" src="<?php echo JURI::root(); ?>components/com_hotornot/assets/images/tick.png" class="hotornot-icon" /><?php echo JText::_('Number of hits'); ?></div>
  <div class="hotornot-text"><?php printf(JText::_('This image has been voted %s times'), $this->image['hits']); ?>.</div>
  <!-- END -->

  <!-- START -->
  <form action="index.php?option=com_hotornot" method="post" id="hotornot-form" style="display: none; ">
    <input type="hidden" name="vote" id="hotornot-vote" value="" />
    <input type="hidden" name="source" id="source" value="<?php echo $this->image['source']; ?>" />
    <input type="hidden" name="id" value="<?php echo $this->image['id']; ?>" />
    <input type="hidden" name="task" value="vote" />
    <input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
  </form>
  <!-- END -->

</div>

<script>
  var ecas = <?php echo $this->enable_comments_approval_system; ?>;
</script>