<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewShow extends JView
{
  function display($tpl = null)
  {
    global $Itemid;

    JHTML::_('stylesheet', 'main.css', 'components/com_hotornot/assets/css/');
    JHTML::_('stylesheet', 'thickbox.css', 'components/com_hotornot/assets/css/');

    JHTML::_('script', 'jquery.js', 'components/com_hotornot/assets/js/');
    JHTML::_('script', 'main.js', 'components/com_hotornot/assets/js/');
    JHTML::_('script', 'thickbox.js', 'components/com_hotornot/assets/js/');
    JHTML::_('script', 'jquery.noconflict.js', 'components/com_hotornot/assets/js/');

    $image =& $this->get('Image');

    $category   =  Helper::getCategorySelected();
    $categories =& $this->get('Categories');

    $params = new HNConfig();
    $this->assignRef('params',            $params);
    $this->assignRef('category_selected', $category);
    $this->assignRef('Itemid',            $Itemid);
    $this->assignRef('categories',        $categories);

    if (!$image)
    {
      parent::display('no_image');
      return false;
    }

    $already_voted   =& $this->get('AlreadyVoted');

    $model =& $this->getModel();
    $num_photos =& $model->getNumCategoryPhotos($image['category_id']);

    $admin           = Helper::isAdmin();
    $allowed_to_vote = Helper::allowedToVote();
    $can_comment     = Helper::canComment();

    if ($params->allow_tags)
    {
      $tags =& $this->get('Tags');
      $this->assignRef('tags', $tags);
    }

    $user =& JFactory::getUser();

    $this->assignRef('name',              $user->name);
    $this->assignRef('image',             $image);
    $this->assignRef('num_photos',        $num_photos);
    $this->assignRef('already_voted',     $already_voted);
    $this->assignRef('admin',             $admin);
    $this->assignRef('settings',          $params);
    $this->assignRef('allowed_to_vote',   $allowed_to_vote);
    $this->assignRef('can_comment',       $can_comment);
    $this->assignRef('enable_comments_approval_system', $params->enable_comments_approval_system);

    $document =& JFactory::getDocument();
    $document->addScriptDeclaration('var root = "' . JUri::root() . '";');

    parent::display($tpl);
  }
}